Page MenuHomePhabricator

Create an API module to allow apps to set local exceptions
Closed, ResolvedPublic3 Estimated Story Points

Description

Event Timeline

Niharika created this task.Jun 14 2018, 6:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2018, 6:49 PM
Niharika updated the task description. (Show Details)Jun 18 2018, 5:54 PM

@MaxSem If you are out of things to work on for this sprint, could you pick up this or one of the "See also" tasks? We can estimate them afterwards. Thanks.

Niharika set the point value for this task to 3.Jun 26 2018, 11:25 PM
Niharika moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MaxSem claimed this task.Jun 28 2018, 8:56 PM
MaxSem moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 442983 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/GlobalPreferences@master] Add an API module to read global prefs/local overrides

https://gerrit.wikimedia.org/r/442983

Vvjjkkii renamed this task from Create an API module to allow apps to set local exceptions to vzaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from vzaaaaaaaa to Create an API module to allow apps to set local exceptions.Jul 2 2018, 6:38 AM
CommunityTechBot assigned this task to MaxSem.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 3.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 442983 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Add an API module to read global prefs/local overrides

https://gerrit.wikimedia.org/r/442983

@MaxSem To clarify, does the above patch also cover this ticket? The commit message is ambiguous.

MaxSem added a comment.Jul 6 2018, 5:56 PM

Err, no. That patch is coming shortly.

Change 445728 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/GlobalPreferences@master] Add an API module to change local preference overrides

https://gerrit.wikimedia.org/r/445728

Change 445728 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Add an API module to change local preference overrides

https://gerrit.wikimedia.org/r/445728

Sigh. For the reference, the output of

$array = [ 'foo' => null ];
var_dump( isset( $array['foo'] ) );

will be false, not true.

MaxSem closed this task as Resolved.Jul 23 2018, 8:51 PM
MaxSem moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.